Index: /palm/trunk/SOURCE/bulk_cloud_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 3766)
+++ /palm/trunk/SOURCE/bulk_cloud_model_mod.f90	(revision 3767)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variable for file index removed from rrd-subroutines parameter list
+! 
+! 3724 2019-02-06 16:28:23Z kanani
 ! Correct double-used log_point_s unit
 ! 
@@ -1710,5 +1713,5 @@
 !> This routine reads the respective restart data for the bulk cloud module.
 !------------------------------------------------------------------------------!
-    SUBROUTINE bcm_rrd_local( i, k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,       &
+    SUBROUTINE bcm_rrd_local( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,          &
                               nxr_on_file, nynf, nync, nyn_on_file, nysf,      &
                               nysc, nys_on_file, tmp_2d, tmp_3d, found )
@@ -1724,5 +1727,4 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i               !<
        INTEGER(iwp) ::  k               !<
        INTEGER(iwp) ::  nxlc            !<
Index: /palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3766)
+++ /palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3767)
@@ -27,4 +27,7 @@
 ! -----------------
 ! $Id$
+! unused variable for file index removed from rrd-subroutines parameter list
+! 
+! 3738 2019-02-12 17:00:45Z suehring
 ! Clean-up debug prints
 ! 
@@ -2583,7 +2586,7 @@
  !------------------------------------------------------------------------------!
 
- SUBROUTINE chem_rrd_local( i, k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,         &
-      nxr_on_file, nynf, nync, nyn_on_file, nysf, nysc,  &
-      nys_on_file, tmp_3d, found )    
+ SUBROUTINE chem_rrd_local( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,             &
+                            nxr_on_file, nynf, nync, nyn_on_file, nysf, nysc,   &
+                            nys_on_file, tmp_3d, found )
 
     USE control_parameters
@@ -2597,5 +2600,5 @@
     CHARACTER (LEN=20) :: spc_name_av !<   
 
-    INTEGER(iwp) ::  i, lsp          !< 
+    INTEGER(iwp) ::  lsp             !<
     INTEGER(iwp) ::  k               !< 
     INTEGER(iwp) ::  nxlc            !< 
Index: /palm/trunk/SOURCE/gust_mod.f90
===================================================================
--- /palm/trunk/SOURCE/gust_mod.f90	(revision 3766)
+++ /palm/trunk/SOURCE/gust_mod.f90	(revision 3767)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variable for file index removed from rrd-subroutines parameter list
+! 
+! 3725 2019-02-07 10:11:02Z raasch
 ! dummy statement modified to avoid compiler warnings about unused variables
 ! 
@@ -549,5 +552,5 @@
 !> This routine reads the respective restart data for the gust module.
 !------------------------------------------------------------------------------!
-    SUBROUTINE gust_rrd_local( i, k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,      &
+    SUBROUTINE gust_rrd_local( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,         &
                                nxr_on_file, nynf, nync, nyn_on_file, nysf,     &
                                nysc, nys_on_file, tmp_2d, tmp_3d, found )
@@ -565,5 +568,4 @@
        IMPLICIT NONE
 
-       INTEGER(iwp) ::  i               !<
        INTEGER(iwp) ::  k               !<
        INTEGER(iwp) ::  nxlc            !<
@@ -590,5 +592,5 @@
 !--    You may remove them.
        IF ( dummy_logical )  THEN
-          idum = i + k + nxlc + nxlf + nxrc + nxrf + nync + nynf + nysc + nysf +                                       &
+          idum = k + nxlc + nxlf + nxrc + nxrf + nync + nynf + nysc + nysf +                       &
                  tmp_2d(nys_on_file,nxl_on_file) + tmp_3d(nzb,nys_on_file,nxl_on_file)
        ENDIF
Index: /palm/trunk/SOURCE/land_surface_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 3766)
+++ /palm/trunk/SOURCE/land_surface_model_mod.f90	(revision 3767)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variable for file index removed from rrd-subroutines parameter list
+! 
+! 3715 2019-02-04 17:34:55Z suehring
 ! Revise check for saturation moisture
 ! 
@@ -6544,5 +6547,5 @@
 !> Soubroutine reads lsm data from restart file(s)
 !------------------------------------------------------------------------------!
-SUBROUTINE lsm_rrd_local( i, k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,           &
+SUBROUTINE lsm_rrd_local( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,              &
                           nxr_on_file, nynf, nync, nyn_on_file, nysf, nysc,    &
                           nys_on_file, tmp_2d, found )
Index: /palm/trunk/SOURCE/module_interface.f90
===================================================================
--- /palm/trunk/SOURCE/module_interface.f90	(revision 3766)
+++ /palm/trunk/SOURCE/module_interface.f90	(revision 3767)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variable file_index removed from subroutine parameter list
+! 
+! 3766 2019-02-26 16:23:41Z raasch
 ! first argument removed from module_interface_rrd_*, statement added to avoid
 ! compiler warning about unused variable, file reformatted with respect to coding
@@ -1157,5 +1160,5 @@
 !> Read module-specific restart data specific to local MPI ranks
 !------------------------------------------------------------------------------!
- SUBROUTINE module_interface_rrd_local( file_index, map_index,                 &
+ SUBROUTINE module_interface_rrd_local( map_index,                             &
                                         nxlf, nxlc, nxl_on_file,               &
                                         nxrf, nxrc, nxr_on_file,               &
@@ -1165,5 +1168,4 @@
 
 
-    INTEGER(iwp),      INTENT(IN)  ::  file_index   !<
     INTEGER(iwp),      INTENT(IN)  ::  map_index    !<
     INTEGER(iwp),      INTENT(IN)  ::  nxlc         !<
@@ -1190,5 +1192,5 @@
 
     IF ( .NOT. found ) CALL bcm_rrd_local(                                     &
-                               file_index, map_index,                          &
+                               map_index,                                      &
                                nxlf, nxlc, nxl_on_file,                        &
                                nxrf, nxrc, nxr_on_file,                        &
@@ -1199,5 +1201,5 @@
 
     IF ( .NOT. found ) CALL chem_rrd_local(                                    &
-                               file_index, map_index,                          &
+                               map_index,                                      &
                                nxlf, nxlc, nxl_on_file,                        &
                                nxrf, nxrc, nxr_on_file,                        &
@@ -1208,5 +1210,5 @@
 
     IF ( .NOT. found ) CALL gust_rrd_local(                                    &
-                               file_index, map_index,                          &
+                               map_index,                                      &
                                nxlf, nxlc, nxl_on_file,                        &
                                nxrf, nxrc, nxr_on_file,                        &
@@ -1217,5 +1219,5 @@
 
     IF ( .NOT. found ) CALL lsm_rrd_local(                                     &
-                               file_index, map_index,                          &
+                               map_index,                                      &
                                nxlf, nxlc, nxl_on_file,                        &
                                nxrf, nxrc, nxr_on_file,                        &
@@ -1226,5 +1228,14 @@
 
     IF ( .NOT. found ) CALL ocean_rrd_local(                                   &
-                               file_index, map_index,                          &
+                               map_index,                                      &
+                               nxlf, nxlc, nxl_on_file,                        &
+                               nxrf, nxrc, nxr_on_file,                        &
+                               nynf, nync, nyn_on_file,                        &
+                               nysf, nysc, nys_on_file,                        &
+                               tmp_3d, found                                   &
+                            ) ! ToDo: change interface to pass variable
+
+    IF ( .NOT. found ) CALL radiation_rrd_local(                               &
+                               map_index,                                      &
                                nxlf, nxlc, nxl_on_file,                        &
                                nxrf, nxrc, nxr_on_file,                        &
@@ -1234,15 +1245,6 @@
                             ) ! ToDo: change interface to pass variable
 
-    IF ( .NOT. found ) CALL radiation_rrd_local(                               &
-                               file_index, map_index,                          &
-                               nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxrc, nxr_on_file,                        &
-                               nynf, nync, nyn_on_file,                        &
-                               nysf, nysc, nys_on_file,                        &
-                               tmp_2d, tmp_3d, found                           &
-                            ) ! ToDo: change interface to pass variable
-
     IF ( .NOT. found ) CALL salsa_rrd_local(                                   &
-                               file_index, map_index,                          &
+                               map_index,                                      &
                                nxlf, nxlc, nxl_on_file,                        &
                                nxrf, nxrc, nxr_on_file,                        &
@@ -1253,8 +1255,8 @@
 
     IF ( .NOT. found ) CALL usm_rrd_local(                                     &
-                               file_index, map_index,                          &
+                               map_index,                                      &
                                nxlf, nxlc, nxl_on_file,                        &
-                               nxrf, nxrc, nxr_on_file,                        &
-                               nynf, nync, nyn_on_file,                        &
+                               nxrf, nxr_on_file,                              &
+                               nynf, nyn_on_file,                              &
                                nysf, nysc, nys_on_file,                        &
                                found                                           &
@@ -1265,5 +1267,5 @@
                            
     IF ( .NOT. found ) CALL user_rrd_local(                                    &
-                               file_index, map_index,                          &
+                               map_index,                                      &
                                nxlf, nxlc, nxl_on_file,                        &
                                nxrf, nxrc, nxr_on_file,                        &
Index: /palm/trunk/SOURCE/ocean_mod.f90
===================================================================
--- /palm/trunk/SOURCE/ocean_mod.f90	(revision 3766)
+++ /palm/trunk/SOURCE/ocean_mod.f90	(revision 3767)
@@ -25,4 +25,8 @@
 ! -----------------
 ! $Id$
+! unused variable for file index and tmp_2d removed from rrd-subroutine parameter
+! list
+! 
+! 3719 2019-02-06 13:10:18Z kanani
 ! Changed log_point to log_point_s, otherwise this overlaps with 
 ! 'all progn.equations' cpu measurement.
@@ -1864,7 +1868,7 @@
 !> This routine reads the respective restart data for the ocean module.
 !------------------------------------------------------------------------------!
- SUBROUTINE ocean_rrd_local( i, k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,        &
+ SUBROUTINE ocean_rrd_local( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,           &
                              nxr_on_file, nynf, nync, nyn_on_file, nysf,       &
-                             nysc, nys_on_file, tmp_2d, tmp_3d, found )
+                             nysc, nys_on_file, tmp_3d, found )
 
     USE averaging,                                                             &
@@ -1882,5 +1886,4 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i               !<
     INTEGER(iwp) ::  k               !<
     INTEGER(iwp) ::  nxlc            !<
@@ -1899,5 +1902,4 @@
     LOGICAL, INTENT(OUT)  ::  found
 
-    REAL(wp), DIMENSION(nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_2d   !<
     REAL(wp), DIMENSION(nzb:nzt+1,nys_on_file-nbgp:nyn_on_file+nbgp,nxl_on_file-nbgp:nxr_on_file+nbgp) :: tmp_3d   !<
 
Index: /palm/trunk/SOURCE/radiation_model_mod.f90
===================================================================
--- /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3766)
+++ /palm/trunk/SOURCE/radiation_model_mod.f90	(revision 3767)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! unused variable for file index removed from rrd-subroutines parameter list
+! 
+! 3760 2019-02-21 18:47:35Z moh.hefny
 ! Bugfix: initialized simulated_time before calculating solar position
 ! to enable restart option with reading in SVF from file(s).
@@ -11117,5 +11120,5 @@
 !> Subroutine reads local (subdomain) restart data
 !------------------------------------------------------------------------------!
- SUBROUTINE radiation_rrd_local( i, k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,    &
+ SUBROUTINE radiation_rrd_local( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,       &
                                 nxr_on_file, nynf, nync, nyn_on_file, nysf,    &
                                 nysc, nys_on_file, tmp_2d, tmp_3d, found )
@@ -11133,5 +11136,4 @@
     IMPLICIT NONE
 
-    INTEGER(iwp) ::  i               !< 
     INTEGER(iwp) ::  k               !< 
     INTEGER(iwp) ::  nxlc            !< 
Index: /palm/trunk/SOURCE/read_restart_data_mod.f90
===================================================================
--- /palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3766)
+++ /palm/trunk/SOURCE/read_restart_data_mod.f90	(revision 3767)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed from rrd-subroutines parameter list
+! 
+! 3766 2019-02-26 16:23:41Z raasch
 ! first argument removed from module_interface_rrd_*
 ! 
@@ -1791,7 +1794,7 @@
 !
 !--                Read restart data of surfaces
-                   IF ( .NOT. found ) CALL surface_rrd_local( i, k, nxlf,      &
-                                           nxlc, nxl_on_file, nxrf, nxrc,      &
-                                           nxr_on_file, nynf, nync,            &
+                   IF ( .NOT. found ) CALL surface_rrd_local( k, nxlf,         &
+                                           nxlc, nxl_on_file, nxrf,            &
+                                           nxr_on_file, nynf,                  &
                                            nyn_on_file, nysf, nysc,            &
                                            nys_on_file, found )
@@ -1800,5 +1803,5 @@
 !--                Read restart data of other modules
                    IF ( .NOT. found ) CALL module_interface_rrd_local(         &
-                                           i, k,                               &
+                                           k,                                  &
                                            nxlf, nxlc, nxl_on_file,            &
                                            nxrf, nxrc, nxr_on_file,            &
Index: /palm/trunk/SOURCE/salsa_mod.f90
===================================================================
--- /palm/trunk/SOURCE/salsa_mod.f90	(revision 3766)
+++ /palm/trunk/SOURCE/salsa_mod.f90	(revision 3767)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! unused variable for file index removed from rrd-subroutines parameter list
+! 
+! 3685 2019-01-21 01:02:11Z knoop
 ! Some interface calls moved to module_interface + cleanup
 ! 
@@ -2032,5 +2035,5 @@
 !> This routine reads the respective restart data.
 !------------------------------------------------------------------------------!
- SUBROUTINE salsa_rrd_local( i, k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,        &
+ SUBROUTINE salsa_rrd_local( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,           &
                              nxr_on_file, nynf, nync, nyn_on_file, nysf,       &
                              nysc, nys_on_file, tmp_3d, found )
@@ -2043,5 +2046,4 @@
     INTEGER(iwp) ::  c  !<
     INTEGER(iwp) ::  g  !<
-    INTEGER(iwp) ::  i  !<
     INTEGER(iwp) ::  k  !<
     INTEGER(iwp) ::  nxlc            !<
Index: /palm/trunk/SOURCE/surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/surface_mod.f90	(revision 3766)
+++ /palm/trunk/SOURCE/surface_mod.f90	(revision 3767)
@@ -26,4 +26,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed from rrd-subroutine parameter list
+! 
+! 3761 2019-02-25 15:31:42Z raasch
 ! OpenACC directives added to avoid compiler warnings about unused variables,
 ! unused variable removed
@@ -3820,6 +3823,6 @@
 !> of cyclic_fill mode. 
 !------------------------------------------------------------------------------!
-    SUBROUTINE surface_rrd_local( ii, kk, nxlf, nxlc, nxl_on_file, nxrf, nxrc, & 
-                                  nxr_on_file, nynf, nync, nyn_on_file, nysf,  &
+    SUBROUTINE surface_rrd_local( kk, nxlf, nxlc, nxl_on_file, nxrf,           &
+                                  nxr_on_file, nynf, nyn_on_file, nysf,        &
                                   nysc, nys_on_file, found )
 
@@ -3833,13 +3836,10 @@
        INTEGER(iwp)       ::  m           !< running index for surface elements, refers to gathered array encompassing all surface types
        INTEGER(iwp)       ::  mm          !< running index for surface elements, refers to individual surface types
-       INTEGER(iwp)       ::  ii          !< running index over input files
        INTEGER(iwp)       ::  kk          !< running index over previous input files covering current local domain
        INTEGER(iwp)       ::  nxlc        !< index of left boundary on current subdomain
        INTEGER(iwp)       ::  nxlf        !< index of left boundary on former subdomain 
        INTEGER(iwp)       ::  nxl_on_file !< index of left boundary on former local domain 
-       INTEGER(iwp)       ::  nxrc        !< index of right boundary on current subdomain
        INTEGER(iwp)       ::  nxrf        !< index of right boundary on former subdomain
        INTEGER(iwp)       ::  nxr_on_file !< index of right boundary on former local domain  
-       INTEGER(iwp)       ::  nync        !< index of north boundary on current subdomain
        INTEGER(iwp)       ::  nynf        !< index of north boundary on former subdomain
        INTEGER(iwp)       ::  nyn_on_file !< index of norht boundary on former local domain  
Index: /palm/trunk/SOURCE/urban_surface_mod.f90
===================================================================
--- /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3766)
+++ /palm/trunk/SOURCE/urban_surface_mod.f90	(revision 3767)
@@ -28,4 +28,7 @@
 ! -----------------
 ! $Id$
+! unused variables removed from rrd-subroutines parameter list
+! 
+! 3748 2019-02-18 10:38:31Z suehring
 ! Revise conversion of waste-heat flux (do not divide by air density, will
 ! be done in diffusion_s)
@@ -6243,7 +6246,6 @@
 !> Soubroutine reads t_surf and t_wall data from restart files
 !------------------------------------------------------------------------------!
-    SUBROUTINE usm_rrd_local( i, k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,       &
-                              nxr_on_file, nynf, nync, nyn_on_file, nysf, nysc,&
-                              nys_on_file, found )
+    SUBROUTINE usm_rrd_local( k, nxlf, nxlc, nxl_on_file, nxrf, nxr_on_file, nynf, nyn_on_file,    &
+                              nysf, nysc, nys_on_file, found )
 
 
@@ -6253,15 +6255,12 @@
        IMPLICIT NONE
 
+       INTEGER(iwp)       ::  k                 !< running index over previous input files covering current local domain
        INTEGER(iwp)       ::  l                 !< index variable for surface type
-       INTEGER(iwp)       ::  i                 !< running index over input files
-       INTEGER(iwp)       ::  k                 !< running index over previous input files covering current local domain
        INTEGER(iwp)       ::  ns_h_on_file_usm  !< number of horizontal surface elements (urban type) on file
        INTEGER(iwp)       ::  nxlc              !< index of left boundary on current subdomain
        INTEGER(iwp)       ::  nxlf              !< index of left boundary on former subdomain 
        INTEGER(iwp)       ::  nxl_on_file       !< index of left boundary on former local domain 
-       INTEGER(iwp)       ::  nxrc              !< index of right boundary on current subdomain
        INTEGER(iwp)       ::  nxrf              !< index of right boundary on former subdomain
        INTEGER(iwp)       ::  nxr_on_file       !< index of right boundary on former local domain 
-       INTEGER(iwp)       ::  nync              !< index of north boundary on current subdomain
        INTEGER(iwp)       ::  nynf              !< index of north boundary on former subdomain
        INTEGER(iwp)       ::  nyn_on_file       !< index of north boundary on former local domain 
Index: /palm/trunk/SOURCE/user_module.f90
===================================================================
--- /palm/trunk/SOURCE/user_module.f90	(revision 3766)
+++ /palm/trunk/SOURCE/user_module.f90	(revision 3767)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! unused variable for file index removed from rrd-subroutines parameter list
+! 
+! 3747 2019-02-16 15:15:23Z gronemeier
 ! Add routine user_init_arrays
 ! 
@@ -1131,10 +1134,9 @@
 !> calculated in routine rrd_local.
 !------------------------------------------------------------------------------!
-    SUBROUTINE user_rrd_local( i, k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,      &
+    SUBROUTINE user_rrd_local( k, nxlf, nxlc, nxl_on_file, nxrf, nxrc,         &
                                nxr_on_file, nynf, nync, nyn_on_file, nysf,     & 
                                nysc, nys_on_file, tmp_3d, found )
 
 
-       INTEGER(iwp) ::  i               !< 
        INTEGER(iwp) ::  k               !< 
        INTEGER(iwp) ::  nxlc            !< 