Index: palm/trunk/SOURCE/chem_gasphase_mod.f90
===================================================================
--- palm/trunk/SOURCE/chem_gasphase_mod.f90	(revision 3776)
+++ palm/trunk/SOURCE/chem_gasphase_mod.f90	(revision 3780)
@@ -65,4 +65,5 @@
 !         ,REQ_MCFCT,IP_MAX,jname
 
+  PUBLIC :: cs_mech
   PUBLIC :: eqn_names, phot_names, spc_names
   PUBLIC :: nmaxfixsteps
@@ -81,4 +82,5 @@
   PUBLIC :: chem_gasphase_integrate
   PUBLIC :: initialize_kpp_ctrl
+  PUBLIC :: get_mechanismname
 
 ! END OF MODULE HEADER TEMPLATE
@@ -113,6 +115,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Parameters.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -190,6 +192,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Global.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -236,4 +238,6 @@
   REAL(kind=dp):: fakt
 
+! CS_MECH for check of mechanism name with namelist
+  CHARACTER(len=30):: cs_mech
 
 ! INLINED global variable declarations
@@ -256,6 +260,6 @@
 ! 
 ! File                 : chem_gasphase_mod_JacobianSP.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -300,6 +304,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Monitor.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -362,6 +366,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Initialize.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -388,6 +392,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Integrator.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -446,6 +450,6 @@
 ! 
 ! File                 : chem_gasphase_mod_LinearAlgebra.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -473,6 +477,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Jacobian.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -500,6 +504,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Function.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -529,6 +533,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Rates.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -555,6 +559,6 @@
 ! 
 ! File                 : chem_gasphase_mod_Util.f90
-! Time                 : Fri Nov 30 13:52:19 2018
-! Working directory    : /home/forkel-r/palmstuff/work/trunk20181130/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
+! Time                 : Tue Mar  5 11:50:53 2019
+! Working directory    : /home/forkel-r/palmstuff/work/trunk20190305/UTIL/chemistry/gasphase_preproc/tmp_kpp4palm
 ! Equation file        : chem_gasphase_mod.kpp
 ! Output root filename : chem_gasphase_mod
@@ -661,4 +665,8 @@
     MODULE PROCEDURE   kppdecomp
   END INTERFACE        kppdecomp
+ 
+  INTERFACE            get_mechanismname
+    MODULE PROCEDURE   get_mechanismname
+  END INTERFACE        get_mechanismname
  
   INTERFACE            chem_gasphase_integrate
@@ -2264,4 +2272,15 @@
   END SUBROUTINE kppdecomp                                            
  
+SUBROUTINE get_mechanismname                                        
+                                                                    
+  IMPLICIT NONE                                                     
+
+! Set cs_mech for check with mechanism name from namelist
+    cs_mech = 'phstatp'
+                                                                    
+  RETURN                                                            
+END SUBROUTINE get_mechanismname                                    
+                                                                    
+ 
 SUBROUTINE chem_gasphase_integrate (time_step_len, conc, tempi, qvapi, fakti, photo, ierrf, xnacc, xnrej, istatus, l_debug, pe, &
                      icntrl_i, rcntrl_i) 
@@ -2349,5 +2368,5 @@
                                                                     
   RETURN                                                            
-END SUBROUTINE chem_gasphase_integrate                                        
+END SUBROUTINE chem_gasphase_integrate                              
 
 END MODULE chem_gasphase_mod
Index: palm/trunk/SOURCE/chem_modules.f90
===================================================================
--- palm/trunk/SOURCE/chem_modules.f90	(revision 3776)
+++ palm/trunk/SOURCE/chem_modules.f90	(revision 3780)
@@ -27,4 +27,8 @@
 ! -----------------
 ! $Id$
+! added cs_mech
+! 
+! 
+! 3652 2019-01-07 15:29:59Z forkel
 ! parameter chem_mechanism added (basit)
 ! 
@@ -66,5 +70,5 @@
 
     USE chem_gasphase_mod,                                                     &   
-        ONLY: nspec, nvar, spc_names
+        ONLY: cs_mech, nspec, nvar, spc_names
 
     USE control_parameters,                                                    &
@@ -79,4 +83,5 @@
     IMPLICIT NONE
 
+    PUBLIC cs_mech
     PUBLIC nspec
     PUBLIC nvar
Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3776)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 3780)
@@ -27,4 +27,8 @@
 ! -----------------
 ! $Id$
+! Removed READ from unit 10, added CALL get_mechanismname
+! 
+! 
+! 3767 2019-02-27 08:18:02Z raasch
 ! unused variable for file index removed from rrd-subroutines parameter list
 ! 
@@ -278,6 +282,6 @@
 
     USE control_parameters,                                                                        &
-         ONLY:  bc_lr_cyc, bc_ns_cyc, dt_3d, humidity, initializing_actions, message_string,        &
-         omega, tsc, intermediate_timestep_count, intermediate_timestep_count_max,           &
+         ONLY:  bc_lr_cyc, bc_ns_cyc, dt_3d, humidity, initializing_actions, message_string,       &
+         omega, tsc, intermediate_timestep_count, intermediate_timestep_count_max,                 &
          max_pr_user, timestep_scheme, use_prescribed_profile_data, ws_scheme_sca         
 
@@ -286,6 +290,6 @@
 
     USE chem_gasphase_mod,                                                                         &
-         ONLY:  nspec, spc_names, nkppctrl, nmaxfixsteps, t_steps, chem_gasphase_integrate,         &
-         vl_dim, nvar, nreact,  atol, rtol, nphot, phot_names
+         ONLY:  atol, chem_gasphase_integrate, get_mechanismname, nkppctrl, nmaxfixsteps,          &
+         nphot, nreact, nspec, nvar, phot_names, rtol, spc_names, t_steps, vl_dim
 
     USE chem_modules
@@ -1149,13 +1153,4 @@
     INTEGER (iwp) ::  lsp_usr      !< running index for user defined chem spcs 
     INTEGER (iwp) ::  lsp          !< running index for chem spcs.
-    CHARACTER (LEN=30)       ::  cs_mech,a1,b1,string
-
-
-    OPEN (10,FILE="chem_gasphase_mod.f90")   !get the chem_mechanism name from the file.
-    READ (10, 100) a1,b1,string
-    cs_mech = trim(string(16:))
- 100    FORMAT(a)
-        CLOSE(10)
-
 !
 !-- check for chemical reactions status
@@ -1190,6 +1185,9 @@
     ENDIF
 !-- check for chemical mechanism used 
+    CALL get_mechanismname
+    WRITE(06,*) 'cs_mech ',cs_mech
+    WRITE(06,*) 'chem_mechanism ', chem_mechanism
     IF (chem_mechanism /= trim(cs_mech) )  THEN
-       message_string = 'Incorrect chemical mechanism selected, please check spelling and/or chem_gasphase_mod'
+       message_string = 'Incorrect chemistry mechanism selected, check spelling in namelist and/or chem_gasphase_mod'
        CALL message( 'chem_check_parameters', 'CM0462', 1, 2, 0, 6, 0 )
     ENDIF
Index: palm/trunk/SOURCE/salsa_mod.f90
===================================================================
--- palm/trunk/SOURCE/salsa_mod.f90	(revision 3776)
+++ palm/trunk/SOURCE/salsa_mod.f90	(revision 3780)
@@ -898,7 +898,7 @@
 8   FORMAT  (/'    Aerosol bin subrange limits (in metres): ',  3(ES10.2E3), / &
               '    Number of size bins for each aerosol subrange: ', 2I3,/     &
-              '    Aerosol bin limits (in metres): ', *(ES10.2E3))
+              '    Aerosol bin limits (in metres): ', 9(ES10.2E3))
 15  FORMAT   ('    Initial number concentration in bins at the lowest level',  &
-              ' (#/m**3):', *(ES10.2E3))        
+              ' (#/m**3):', 9(ES10.2E3))        
 13  FORMAT  (/'    Number of chemical components used: ', I1,/                 &
               '       Species: ',7(A6),/                                       &