Index: palm/trunk/UTIL/inifor/tests/Makefile
===================================================================
--- palm/trunk/UTIL/inifor/tests/Makefile	(revision 3681)
+++ palm/trunk/UTIL/inifor/tests/Makefile	(revision 3785)
@@ -14,6 +14,6 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 2017-2018 Leibniz Universitaet Hannover
-# Copyright 2017-2018 Deutscher Wetterdienst Offenbach
+# Copyright 2017-2019 Leibniz Universitaet Hannover
+# Copyright 2017-2019 Deutscher Wetterdienst Offenbach
 #------------------------------------------------------------------------------#
 #
@@ -25,4 +25,8 @@
 # -----------------
 # $Id$
+# Updated copyright note
+# 
+# 
+# 3618 2018-12-10 13:25:22Z eckhard
 # Prefixed INIFOR modules with inifor_
 # 
Index: palm/trunk/UTIL/inifor/tests/Makefile.gnu
===================================================================
--- palm/trunk/UTIL/inifor/tests/Makefile.gnu	(revision 3681)
+++ palm/trunk/UTIL/inifor/tests/Makefile.gnu	(revision 3785)
@@ -14,6 +14,6 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 2017-2018 Leibniz Universitaet Hannover
-# Copyright 2017-2018 Deutscher Wetterdienst Offenbach
+# Copyright 2017-2019 Leibniz Universitaet Hannover
+# Copyright 2017-2019 Deutscher Wetterdienst Offenbach
 #------------------------------------------------------------------------------#
 #
@@ -25,4 +25,8 @@
 # -----------------
 # $Id$
+# Updated copyright note
+# 
+# 
+# 3618 2018-12-10 13:25:22Z eckhard
 # Prefixed INIFOR modules with inifor_
 # 
Index: palm/trunk/UTIL/inifor/tests/Makefile.ifort
===================================================================
--- palm/trunk/UTIL/inifor/tests/Makefile.ifort	(revision 3681)
+++ palm/trunk/UTIL/inifor/tests/Makefile.ifort	(revision 3785)
@@ -14,6 +14,6 @@
 # PALM. If not, see <http://www.gnu.org/licenses/>.
 #
-# Copyright 2017-2018 Leibniz Universitaet Hannover
-# Copyright 2017-2018 Deutscher Wetterdienst Offenbach
+# Copyright 2017-2019 Leibniz Universitaet Hannover
+# Copyright 2017-2019 Deutscher Wetterdienst Offenbach
 #------------------------------------------------------------------------------#
 #
@@ -25,4 +25,8 @@
 # -----------------
 # $Id$
+# Updated copyright note
+# 
+# 
+# 3618 2018-12-10 13:25:22Z eckhard
 # Prefixed INIFOR modules with inifor_
 # 
Index: palm/trunk/UTIL/inifor/tests/test-boundaries.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-boundaries.f90	(revision 3681)
+++ palm/trunk/UTIL/inifor/tests/test-boundaries.f90	(revision 3785)
@@ -15,6 +15,6 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2018 Leibniz Universitaet Hannover
-! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
+! Copyright 2017-2019 Leibniz Universitaet Hannover
+! Copyright 2017-2019 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
@@ -104,5 +104,5 @@
    
        CALL fini_grid_definition(boundary_grid)
-    END DO
+    ENDDO
 
     CALL end_test(title, res)
Index: palm/trunk/UTIL/inifor/tests/test-centre-velocities.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-centre-velocities.f90	(revision 3681)
+++ palm/trunk/UTIL/inifor/tests/test-centre-velocities.f90	(revision 3785)
@@ -15,6 +15,6 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2018 Leibniz Universitaet Hannover
-! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
+! Copyright 2017-2019 Leibniz Universitaet Hannover
+! Copyright 2017-2019 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
@@ -75,5 +75,5 @@
        res = res .AND. assert_equal(u_centre(:,i,1), u_ref(:,i,1), 'centering u')
        res = res .AND. assert_equal(v_centre(i,:,1), v_ref(i,:,1), 'centering v')
-    END DO
+    ENDDO
 
     CALL end_test(title, res)
Index: palm/trunk/UTIL/inifor/tests/test-grid.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-grid.f90	(revision 3681)
+++ palm/trunk/UTIL/inifor/tests/test-grid.f90	(revision 3785)
@@ -15,6 +15,6 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2018 Leibniz Universitaet Hannover
-! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
+! Copyright 2017-2019 Leibniz Universitaet Hannover
+! Copyright 2017-2019 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
@@ -74,5 +74,5 @@
        xu(i) = real(i) / (nx+1) * lx
        x(i)  = 0.5*dx + xu(i)
-    END DO
+    ENDDO
 
     dy = ly / (ny + 1)
@@ -80,5 +80,5 @@
        yv(i) = real(i) / (ny+1) * ly
        y(i)  = 0.5*dy + yv(i)
-    END DO
+    ENDDO
 
     dz(:) = lz / (nz + 1)
@@ -86,5 +86,5 @@
        IF (i < nz)  zw(i) = real(i) / (nz+1) * lz
        z(i) = 0.5*dz(1) + zw(i)
-    END DO
+    ENDDO
 
     ! Act
Index: palm/trunk/UTIL/inifor/tests/test-input-files.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-input-files.f90	(revision 3681)
+++ palm/trunk/UTIL/inifor/tests/test-input-files.f90	(revision 3785)
@@ -15,6 +15,6 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2018 Leibniz Universitaet Hannover
-! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
+! Copyright 2017-2019 Leibniz Universitaet Hannover
+! Copyright 2017-2019 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
@@ -90,5 +90,5 @@
     DO i = 1, 6
        res = res .AND. (TRIM(ref_list(i)) .EQ. TRIM(file_list(i)))
-    END DO
+    ENDDO
 
     DEALLOCATE( ref_list, file_list )
@@ -115,5 +115,5 @@
     DO i = 1, 2
        res = res .AND. (TRIM(ref_list(i)) .EQ. TRIM(file_list(i)))
-    END DO
+    ENDDO
 
     DEALLOCATE( ref_list, file_list )
@@ -145,5 +145,5 @@
     DO i = 1, 2
        res = res .AND. (TRIM(ref_list(i)) .EQ. TRIM(file_list(i)))
-    END DO
+    ENDDO
 
     DEALLOCATE( ref_list, file_list )
Index: palm/trunk/UTIL/inifor/tests/test-interpolation.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-interpolation.f90	(revision 3681)
+++ palm/trunk/UTIL/inifor/tests/test-interpolation.f90	(revision 3785)
@@ -15,6 +15,6 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2018 Leibniz Universitaet Hannover
-! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
+! Copyright 2017-2019 Leibniz Universitaet Hannover
+! Copyright 2017-2019 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
@@ -146,6 +146,6 @@
        PRINT *, "jj     : ", palm_grid%jj(i,j,:)
        PRINT *, "jj_ref : ", jj_ref(i,j,:), " indices match? ", res
-    END DO
-    END DO
+    ENDDO
+    ENDDO
 
     CALL end_test(title, res)
@@ -180,6 +180,6 @@
     DO i = 0, 1
        PRINT *, "PALM lon, lat: ", palm_grid % clon(i,j) * TO_DEGREES, palm_grid % clat(i,j)*TO_DEGREES
-    END DO
-    END DO
+    ENDDO
+    ENDDO
 
     ! Act
@@ -203,6 +203,6 @@
        PRINT *, "jj     : ", palm_grid%jj(i,j,:)
        PRINT *, "jj_ref : ", jj_ref(i,j,:), " indices match? ", res
-    END DO
-    END DO
+    ENDDO
+    ENDDO
 
     ! asserting that all four weights equal, 0.5, 0.25, 1./6., and 1./12., resp.
Index: palm/trunk/UTIL/inifor/tests/test-prototype.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-prototype.f90	(revision 3681)
+++ palm/trunk/UTIL/inifor/tests/test-prototype.f90	(revision 3785)
@@ -15,6 +15,6 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2018 Leibniz Universitaet Hannover
-! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
+! Copyright 2017-2019 Leibniz Universitaet Hannover
+! Copyright 2017-2019 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/UTIL/inifor/tests/test-stretching.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-stretching.f90	(revision 3681)
+++ palm/trunk/UTIL/inifor/tests/test-stretching.f90	(revision 3785)
@@ -15,6 +15,6 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2018 Leibniz Universitaet Hannover
-! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
+! Copyright 2017-2019 Leibniz Universitaet Hannover
+! Copyright 2017-2019 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/UTIL/inifor/tests/test-transform.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/test-transform.f90	(revision 3681)
+++ palm/trunk/UTIL/inifor/tests/test-transform.f90	(revision 3785)
@@ -15,6 +15,6 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2018 Leibniz Universitaet Hannover
-! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
+! Copyright 2017-2019 Leibniz Universitaet Hannover
+! Copyright 2017-2019 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
Index: palm/trunk/UTIL/inifor/tests/util.f90
===================================================================
--- palm/trunk/UTIL/inifor/tests/util.f90	(revision 3681)
+++ palm/trunk/UTIL/inifor/tests/util.f90	(revision 3785)
@@ -15,6 +15,6 @@
 ! PALM. If not, see <http://www.gnu.org/licenses/>.
 !
-! Copyright 2017-2018 Leibniz Universitaet Hannover
-! Copyright 2017-2018 Deutscher Wetterdienst Offenbach
+! Copyright 2017-2019 Leibniz Universitaet Hannover
+! Copyright 2017-2019 Deutscher Wetterdienst Offenbach
 !------------------------------------------------------------------------------!
 !
@@ -71,5 +71,5 @@
           msg = 'failed.'
           label = ' [XX]'
-       END IF
+       ENDIF
 
        PRINT '(/A, A, A, A)', TRIM(label) // "  Test '", TRIM(title), "' ", TRIM(msg)
@@ -87,5 +87,5 @@
        ELSE
            assert_equal = assert(a, b, 'eq')
-       END IF
+       ENDIF
 
        IF (assert_equal .eqv. .TRUE.)  THEN
@@ -94,5 +94,5 @@
            PRINT *, "Equality assertion for ", msg, " failed. Maximum error is ",               &
               MAXVAL( ABS( a - b))
-       END IF
+       ENDIF
 
     END FUNCTION assert_equal
@@ -125,6 +125,6 @@
                 mag    = MAX( ABS(a(i)), ABS(b(i)) )
                 assert = assert .AND. (diff < mag * max_rel_diff )
-             END DO
-          END IF 
+             ENDDO
+          ENDIF 
 
        CASE DEFAULT